Bug 120365 - RFE: up2date mirror feature makes poor use of web proxies
RFE: up2date mirror feature makes poor use of web proxies
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 22:22 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:31:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-04-07 22:22:56 EDT
Since every up2date box behind a web proxy decides independently which
mirror to use, the more mirrors you configure, the more likely it is
that each box will download an update from a different mirror,
rendering the web proxy useless.

I suppose a reasonable solution for this probably would be to
introduce some smart mirror manager at say download.fedora.redhat.com
that would take an HTTP request with a list of mirrors to choose from,
and get back a cacheable HTTP redirect to one of the mirrors, chosen
at random.  Ideally, we could ship such a mirror master as part of
Fedora Core, but running it at download.fedora.redhat.com would be fine.

Besides implementing such a mirror master, the other missing bit is to
have up2date collect all the mirrors listed in the config file and
submit HTTP requests to a (configured) mirror master.  Any feeling on
whether this would be worth implementing?
Comment 1 Adrian Likins 2004-04-08 12:38:13 EDT
That was my initial plan for mirroring the default (that and
including the mirror info in the download.fedora.redhat.com
repos that get mirrored) but ran into problems with getting
the infrastructure done in a timely manner. In the end, I
finally just stuck static mirror description files on the
fedora web server (not ideal, but workable).

If we could get the infrastructure setup, I would prefer
that solution. Or some combination there of. 
Comment 2 John Thacker 2006-10-29 09:31:30 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.